Bug 1584285 - [free-stg] migrating hostSubnetLength turned value into a string and added extra space
Summary: [free-stg] migrating hostSubnetLength turned value into a string and added ex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.10.0
Assignee: Russell Teague
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-30 15:51 UTC by Justin Pierce
Modified: 2018-07-30 19:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Removed an inadvertent extra space in the openshift_host_subnet_length variable.
Clone Of:
Environment:
Last Closed: 2018-07-30 19:16:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:17:40 UTC

Description Justin Pierce 2018-05-30 15:51:03 UTC
Description of problem:
During an openshift-ansible upgrade to 3.10, the playbooks terminated at `TASK [Wait for master API to come back online] *********************************`

`master-logs api api` reported:
could not load config file "/etc/origin/master/master-config.yaml" due to an error: error reading config: [pos 5999]: json: decNum: got first char ' '

And master-config.yaml contained:
  hostSubnetLength: ' 9'

Version-Release number of selected component (if applicable):
v3.10.0-0.54.0

Expected results:
The value should have migrated without ' ' and as an integer.

Comment 1 Brenton Leanhardt 2018-05-30 17:06:20 UTC
https://github.com/openshift/openshift-ansible/pull/8577

Russell, could you sanity check this PR?

Comment 2 openshift-github-bot 2018-05-30 19:13:09 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/35c76a19bc33fe103c2cb6068ddd1ee76bb6eca0
Bug 1584285 - remove extra space from hostSubnetLength

https://github.com/openshift/openshift-ansible/commit/b68f618485ce9e9f79f3a2eafe4ac268f0ebc09f
Merge pull request #8577 from brenton/BZ1584285

Bug 1584285 - remove extra space from hostSubnetLength

Comment 3 Russell Teague 2018-06-04 13:06:00 UTC
In openshift-ansible-3.10.0-0.56.0

Comment 4 liujia 2018-06-05 08:55:03 UTC
Verified on openshift-ansible-3.10.0-0.58.0.git.0.d8f6377.el7.noarch

Comment 6 errata-xmlrpc 2018-07-30 19:16:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.